Package net.sf.jasperreports.olap
Class Olap4jMondrianQueryExecuter
- java.lang.Object
-
- net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
-
- net.sf.jasperreports.olap.Olap4jMondrianQueryExecuter
-
- All Implemented Interfaces:
JRQueryExecuter
public class Olap4jMondrianQueryExecuter extends JRAbstractQueryExecuter
- Author:
- swood
-
-
Nested Class Summary
-
Nested classes/interfaces inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
JRAbstractQueryExecuter.QueryParameter, JRAbstractQueryExecuter.QueryParameterEntry, JRAbstractQueryExecuter.QueryParameterVisitor, JRAbstractQueryExecuter.ValuedQueryParameter, JRAbstractQueryExecuter.VisitExceptionWrapper
-
-
Field Summary
Fields Modifier and Type Field Description static java.lang.StringEXCEPTION_MESSAGE_KEY_CONNECTION_ERRORstatic java.lang.StringEXCEPTION_MESSAGE_KEY_EXECUTE_QUERY_ERRORstatic java.lang.StringOLAP4J_DRIVERstatic java.lang.StringOLAP4J_JDBC_CATALOGstatic java.lang.StringOLAP4J_JDBC_DRIVERSstatic java.lang.StringOLAP4J_JDBC_PASSWORDstatic java.lang.StringOLAP4J_JDBC_URLstatic java.lang.StringOLAP4J_JDBC_USERstatic java.lang.StringOLAP4J_MONDRIAN_DRIVER_CLASSstatic java.lang.StringOLAP4J_MONDRIAN_URL_PREFIXstatic java.lang.StringOLAP4J_URL_PREFIX-
Fields inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
clauseFunctions, dataset, EXCEPTION_MESSAGE_KEY_NUMERIC_TYPE_REQUIRED, EXCEPTION_MESSAGE_KEY_PARAMETER_NOT_FOUND, EXCEPTION_MESSAGE_KEY_QUERY_CLAUSE_CIRCULARLY_NESTED_PARAMETER, EXCEPTION_MESSAGE_KEY_QUERY_CLAUSE_ID_FIRST_TOKEN_MISSING, EXCEPTION_MESSAGE_KEY_QUERY_CLAUSE_NOT_FOUND, EXCEPTION_MESSAGE_KEY_UNSUPPORTED_PARAMETER_TYPE, GET_COLLECTED
-
-
Constructor Summary
Constructors Constructor Description Olap4jMondrianQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description booleancancelQuery()Cancels the query if it's currently running.voidclose()Closes resources kept open during the data source iteration.JRDataSourcecreateDatasource()Executes the query and creates aJRDataSourceout of the result.protected java.lang.StringgetCanonicalQueryLanguage()Returns a canonical query language for this query executer implementation.protected java.lang.StringgetParameterReplacement(java.lang.String parameterName)Returns the replacement text for a query parameter.JROlapResultgetResult()-
Methods inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
addQueryMultiParameters, addQueryMultiParameters, addQueryParameter, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, findExtensionQueryFunction, getBooleanParameter, getBooleanParameter, getBooleanParameterOrProperty, getBooleanParameterOrProperty, getCollectedParameterNames, getCollectedParameters, getIntegerParameter, getIntegerParameter, getIntegerParameterOrProperty, getIntegerParameterOrProperty, getJasperReportsContext, getParameter, getParameterValue, getParameterValue, getPropertiesUtil, getQueryExecutionContext, getQueryString, getRepositoryContext, getStringParameter, getStringParameterOrProperty, getValueParameter, getValueParameter, parameterHasValue, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction, visitQueryParameters
-
-
-
-
Field Detail
-
EXCEPTION_MESSAGE_KEY_CONNECTION_ERROR
public static final java.lang.String EXCEPTION_MESSAGE_KEY_CONNECTION_ERROR
- See Also:
- Constant Field Values
-
EXCEPTION_MESSAGE_KEY_EXECUTE_QUERY_ERROR
public static final java.lang.String EXCEPTION_MESSAGE_KEY_EXECUTE_QUERY_ERROR
- See Also:
- Constant Field Values
-
OLAP4J_DRIVER
public static final java.lang.String OLAP4J_DRIVER
- See Also:
- Constant Field Values
-
OLAP4J_URL_PREFIX
public static final java.lang.String OLAP4J_URL_PREFIX
- See Also:
- Constant Field Values
-
OLAP4J_JDBC_DRIVERS
public static final java.lang.String OLAP4J_JDBC_DRIVERS
- See Also:
- Constant Field Values
-
OLAP4J_JDBC_URL
public static final java.lang.String OLAP4J_JDBC_URL
- See Also:
- Constant Field Values
-
OLAP4J_JDBC_CATALOG
public static final java.lang.String OLAP4J_JDBC_CATALOG
- See Also:
- Constant Field Values
-
OLAP4J_JDBC_USER
public static final java.lang.String OLAP4J_JDBC_USER
- See Also:
- Constant Field Values
-
OLAP4J_JDBC_PASSWORD
public static final java.lang.String OLAP4J_JDBC_PASSWORD
- See Also:
- Constant Field Values
-
OLAP4J_MONDRIAN_DRIVER_CLASS
public static final java.lang.String OLAP4J_MONDRIAN_DRIVER_CLASS
- See Also:
- Constant Field Values
-
OLAP4J_MONDRIAN_URL_PREFIX
public static final java.lang.String OLAP4J_MONDRIAN_URL_PREFIX
- See Also:
- Constant Field Values
-
-
Constructor Detail
-
Olap4jMondrianQueryExecuter
public Olap4jMondrianQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)
-
-
Method Detail
-
getCanonicalQueryLanguage
protected java.lang.String getCanonicalQueryLanguage()
Description copied from class:JRAbstractQueryExecuterReturns a canonical query language for this query executer implementation.The canonical language is used to retrieve extensions for the query executer.
The default implementation returns the runtime query language used in the dataset, but query executer implementations should override this method and return a fixed language.
- Overrides:
getCanonicalQueryLanguagein classJRAbstractQueryExecuter- Returns:
- a canonical query language
-
getParameterReplacement
protected java.lang.String getParameterReplacement(java.lang.String parameterName)
Description copied from class:JRAbstractQueryExecuterReturns the replacement text for a query parameter.- Specified by:
getParameterReplacementin classJRAbstractQueryExecuter- Parameters:
parameterName- the parameter name- Returns:
- the replacement text
- See Also:
JRQueryChunk.TYPE_PARAMETER
-
createDatasource
public JRDataSource createDatasource() throws JRException
Description copied from interface:JRQueryExecuterExecutes the query and creates aJRDataSourceout of the result.- Returns:
- a
JRDataSourcewrapping the query execution result. - Throws:
JRException
-
cancelQuery
public boolean cancelQuery() throws JRExceptionDescription copied from interface:JRQueryExecuterCancels the query if it's currently running. This method will be called from a different thread if the client decides to cancel the filling process.- Returns:
trueif and only if the query was running and it has been canceled- Throws:
JRException
-
getResult
public JROlapResult getResult()
-
close
public void close()
Description copied from interface:JRQueryExecuterCloses resources kept open during the data source iteration. This method is called after the report is filled or the dataset is iterated. If a resource is not needed after the data source has been created, it should be released at the end ofcreateDatasource.
-
-